Nux!


Home » Repos » Report a problem or request a package » upgrade request: libvpx
upgrade request: libvpx [message #1951] Mon, 28 July 2014 13:47 Go to next message
constantin is currently offline  constantin
Messages: 82
Registered: July 2014
Location: Ukraine
Member
EPEL (el7) provides libvpx-1.2, it doesn't work with Google's VP9 codec. I have successfully rebuilt libvpx-1.3 (with VP9 support) from rawhide on my el7 desktop. I'm understanding that it's not very good idea to replace EPEL packages, but there is no need to rebuild dependent packages, as gstreamer-plugins, etc.

[Updated on: Mon, 28 July 2014 13:49]

Report message to a moderator

Re: upgrade request: libvpx [message #1952 is a reply to message #1951] Mon, 28 July 2014 14:05 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1662
Registered: January 2012
Senior Member
Administrator

Constantin,

When you start overwriting EPEL and Base, it becomes a very slippery slope.. i.e. where do you stop? I also have very limited resources to track packages, especially for security issues.

As this issue is non-critical[1], the best approach would be to open a ticket in RH bugzilla for this EPEL package and request the upgrade.

[1] - under what conditions do you see problems with the EPEL package?
Re: upgrade request: libvpx [message #1953 is a reply to message #1952] Mon, 28 July 2014 14:22 Go to previous messageGo to next message
constantin is currently offline  constantin
Messages: 82
Registered: July 2014
Location: Ukraine
Member
It's not critical, it's new feature (VP9 codec support). The dependent packages (without any rebuild) work with 1.3 exactly as with 1.2.
Re: upgrade request: libvpx [message #1956 is a reply to message #1951] Mon, 28 July 2014 17:43 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1662
Registered: January 2012
Senior Member
Administrator

Can you make the effort of going to redhat bugzilla with this one? Smile
Re: upgrade request: libvpx [message #2274 is a reply to message #1956] Tue, 26 August 2014 18:39 Go to previous messageGo to next message
constantin is currently offline  constantin
Messages: 82
Registered: July 2014
Location: Ukraine
Member
libvpx-1.3 is now in updates repo
Smile
icon14.gif  Re: upgrade request: libvpx [message #2277 is a reply to message #1951] Wed, 27 August 2014 08:52 Go to previous message
nux is currently offline  nux
Messages: 1662
Registered: January 2012
Senior Member
Administrator

Awesome!
Previous Topic: Package request: mc (Stella)
Next Topic: livecd-tools (el7) requires hfsplus-tools
Goto Forum:
  


Current Time: Sat Dec 14 04:29:13 GMT 2019

Total time taken to generate the page: 0.05072 seconds